%global pypi_name Djblets

%define version 0.7.28
%define python3 0

Name:           python-djblets
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        A collection of useful classes and functions for Django

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://downloads.reviewboard.org/releases/%{pypi_name}/0.7/%{pypi_name}-%version.tar.gz
Patch0:         Djblets-0.7.21-change-pil-to-pillow.patch
Patch1:         Djblets-0.7.21-relax-pipeline-require.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-django-pipeline
BuildRequires:  python-django14
Requires:       python-django14

%description
A collection of useful classes and functions for Django

%if %python3
%package -n python3-%{pypi_name}
Summary:        A collection of useful classes and functions for Django
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-django-pipeline

%description -n python3-%{pypi_name}
A collection of useful classes and functions for Django
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove packaged egg-info so it's regenerated by setup.py
rm -Rf Djblets*.egg-info

%apply_patches

%if %python3
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Remove bundled copy of feedparser.py
rm -f $RPM_BUILD_ROOT%{python_sitelib}/djblets/feedview/feedparser.py*

%files
%{python_sitelib}/%{pypi_name}*
%{python_sitelib}/djblets*

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%{python3_sitelib}/djblets*
%endif


%changelog
* Thu Jan 09 2014 philippem <philippem> 0.7.28-2.mga4
+ Revision: 565962
- fix requires

* Sat Jan 04 2014 philippem <philippem> 0.7.28-1.mga4
+ Revision: 564599
- remove no longer need patches
- change requires on django14, remove no longer need patches

  + shlomif <shlomif>
    - New version 0.7.28
    - Remove trailing whitespace

* Thu Oct 24 2013 neoclust <neoclust> 0.7.21-5.mga4
+ Revision: 546819
- Relax pipeline require

* Tue Oct 22 2013 umeabot <umeabot> 0.7.21-4.mga4
+ Revision: 546203
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 0.7.21-3.mga4
+ Revision: 502285
- Change requires from pil to pillow

* Thu Oct 17 2013 neoclust <neoclust> 0.7.21-2.mga4
+ Revision: 502271
- Remove bundled copy of feedparser.py

* Thu Oct 17 2013 neoclust <neoclust> 0.7.21-1.mga4
+ Revision: 502266
- Fix for non python3 build
- Fix Build
- imported package python-djblets

